summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2009-02-10 18:54:16 +0100
committerKarolin Seeger <kseeger@samba.org>2009-02-16 09:57:00 +0100
commit757e6e61c9561e138f1c47d0345f720a50f30703 (patch)
tree1a6317bee552ec44f68c3cf1532f74ffd6d5641f /packaging
parent1fcd47ba4efe3cfa48bc709077ac8974287321f8 (diff)
downloadsamba-757e6e61c9561e138f1c47d0345f720a50f30703.tar.gz
packaging: add script fill-templates
This is a standalone-wrapper for update-pkginfo, which is usually called from create-tarball. It basically repeats some functionality of create-tarball. Michael (cherry picked from commit ca23469a906bab690162184e8d3949897f7b5a67) (cherry picked from commit 3c7927141d0fa586440ecd4c39bd601c1f9a5bfa)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/bin/fill-templates46
1 files changed, 46 insertions, 0 deletions
diff --git a/packaging/bin/fill-templates b/packaging/bin/fill-templates
new file mode 100755
index 00000000000..222294137f6
--- /dev/null
+++ b/packaging/bin/fill-templates
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Script to fill the packaging templates with the version
+# information that is created by mkversion in advance.
+#
+# This is a standalone wrapper for update-pkginfo, which
+# is ususally called from release-scripts/create-tarball.
+# This allows for testing some aspects of packaging without
+# the need to go through all of create-tarball.
+#
+# Copyright (C) Michael Adam 2009
+#
+# License: GPL
+
+DIRNAME=$(dirname $0)
+TOPDIR=${DIRNAME}/../../
+SRCDIR=${TOPDIR}/source
+VERSION_H=${SRCDIR}/include/version.h
+
+pushd ${SRCDIR}
+./script/mkversion.sh
+popd
+
+if [ ! -f ${VERSION_H} ] ; then
+ echo "Error creating version.h"
+ exit 1
+fi
+
+VERSION=`grep SAMBA_VERSION_OFFICIAL_STRING ${VERSION_H} | awk '{print $3}'`
+
+vendor_version=`grep SAMBA_VERSION_VENDOR_SUFFIX ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_version}" != "x" ; then
+ VERSION="${VERSION}-${vendor_version}"
+fi
+
+vendor_patch=`grep SAMBA_VERSION_VENDOR_PATCH ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_patch}" != "x" ; then
+ VERSION="${VERSION}-${vendor_patch}"
+fi
+
+VERSION=`echo ${VERSION} | sed 's/\"//g'`
+
+echo "VERSION: ${VERSION}"
+
+${TOPDIR}/packaging/bin/update-pkginfo "${VERSION}" 1 ""
+